package org.example.world;

import java.io.Serializable;
import java.util.List;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;

//CREATE TABLE CONTINENT (
//		CODE CHAR(2) NOT NULL,
//		NAME VARCHAR(15) NOT NULL,
//		HIGHEST_POINT VARCHAR(20) NOT NULL,
//		HIGHEST_ELEVATION INTEGER NOT NULL,
//		LOWEST_POINT VARCHAR(20) NOT NULL,
//		LOWEST_ELEVATION INTEGER NOT NULL,
//		SURFACE_AREA INTEGER NOT NULL,
//		CONSTRAINT CSTR_CONTINENT_NAME UNIQUE (NAME),
//		CONSTRAINT PK_CONTINENT PRIMARY KEY (CODE)
//	);

@Entity
public class Continent implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	private String code;
	private String name;
	@Column(name="HIGHEST_POINT")
	private String highestPoint;
	@Column(name="HIGHEST_ELEVATION")
	private int highestElevation;
	@Column(name="LOWEST_POINT")
	private String lowestPoint;
	@Column(name="LOWEST_ELEVATION")
	private int lowestElevation;
	@Column(name="SURFACE_AREA")
	private int surfaceArea;
	
	
	// Do I really want to do this?
	@OneToMany(mappedBy="continentForthisCountry")
	@Basic(fetch=FetchType.LAZY)
	List<Country> countiesForThisContinent;

	public Continent() {
		super();
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getHighestPoint() {
		return highestPoint;
	}

	public void setHighestPoint(String highestPoint) {
		this.highestPoint = highestPoint;
	}

	public int getHighestElevation() {
		return highestElevation;
	}

	public void setHighestElevation(int highestElevation) {
		this.highestElevation = highestElevation;
	}

	public String getLowestPoint() {
		return lowestPoint;
	}

	public void setLowestPoint(String lowestPoint) {
		this.lowestPoint = lowestPoint;
	}

	public int getLowestElevation() {
		return lowestElevation;
	}

	public void setLowestElevation(int lowestElevation) {
		this.lowestElevation = lowestElevation;
	}

	public int getSurfaceArea() {
		return surfaceArea;
	}

	public void setSurfaceArea(int surfaceArea) {
		this.surfaceArea = surfaceArea;
	}

}
