package org.example.world;




import java.io.Serializable;
import java.util.Objects;

//CREATE TABLE COUNTRY (
//		CODE CHAR(3) NOT NULL,
//		NAME CHAR(52) NOT NULL,
//		CONTINENT VARCHAR(15),
//		REGION CHAR(26) NOT NULL,
//		SURFACE_AREA DECIMAL(10,2) NOT NULL,
//		INDEP_YEAR SMALLINT,
//		POPULATION INTEGER NOT NULL,
//		LIFE_EXPECTANCY DECIMAL(3,1),
//		GNP DECIMAL(10,2),
//		LOCALNAME CHAR(45),
//		GOVERNMENT_FORM CHAR(45),
//		CAPITAL INTEGER,
//		CODE2 CHAR(2),
//		CONSTRAINT PK_COUNTRY PRIMARY KEY (CODE)
//	);

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;

@Entity
public class Country implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	private String code;
	private String name;
	@ManyToOne
    @JoinColumn(name="CONTINENT")
    @Basic(fetch=FetchType.LAZY)
	private Continent continentForthisCountry;
	private String region;
	@Column(name="SURFACE_AREA", columnDefinition="DECIMAL(10,2)")
	private double surfaceArea;
	@Column(name="INDEP_YEAR", columnDefinition="SMALLINT")
	private int indepYear;
	private int population;
	@Column(name="LIFE_EXPECTANCY", columnDefinition="DECIMAL(3,1)")
	private double lifeExpectancy;
	@Column(columnDefinition="DECIMAL(10,1)")
	private double gnp;
	private String localName;
	@Column(name="GOVERNMENT_FORM")
	private String govtForm;
	@OneToOne
	@JoinColumn(name="CAPITAL")
	private City capital;	
	private String code2;
	
	

	public Country() {
		super();
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Continent getContinent() {
		return continentForthisCountry;
	}

	public void setContinent(Continent continent) {
		this.continentForthisCountry = continent;
	}

	public String getRegion() {
		return region;
	}

	public void setRegion(String region) {
		this.region = region;
	}

	public double getSurfaceArea() {
		return surfaceArea;
	}

	public void setSurfaceArea(double surfaceArea) {
		this.surfaceArea = surfaceArea;
	}

	public int getIndepYear() {
		return indepYear;
	}

	public void setIndepYear(int indepYear) {
		this.indepYear = indepYear;
	}

	public int getPopulation() {
		return population;
	}

	public void setPopulation(int population) {
		this.population = population;
	}

	public double getLifeExpectancy() {
		return lifeExpectancy;
	}

	public void setLifeExpectancy(double lifeExpectancy) {
		this.lifeExpectancy = lifeExpectancy;
	}

	public double getGnp() {
		return gnp;
	}

	public void setGnp(double gnp) {
		this.gnp = gnp;
	}

	public String getLocalName() {
		return localName;
	}

	public void setLocalName(String localName) {
		this.localName = localName;
	}

	public String getGovtForm() {
		return govtForm;
	}

	public void setGovtForm(String govtForm) {
		this.govtForm = govtForm;
	}

	public City getCapital() {
		return capital;
	}

	public void setCapital(City capital) {
		this.capital = capital;
	}

	public String getCode2() {
		return code2;
	}

	public void setCode2(String code2) {
		this.code2 = code2;
	}

	@Override
	public int hashCode() {
		return Objects.hash(capital, code, code2, indepYear, name, region);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Country other = (Country) obj;
		return Objects.equals(capital, other.capital) && Objects.equals(code, other.code)
				&& Objects.equals(code2, other.code2) && indepYear == other.indepYear
				&& Objects.equals(name, other.name) && Objects.equals(region, other.region);
	}

}
