package org.example.world;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.example.world.utility.LanguageKey;

@Entity
@Table(name = "COUNTRY_LANGUAGE")
public class Language implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private LanguageKey key;
	@Column(name = "IS_OFFICIAL", columnDefinition = "CHAR(1)")
	private boolean official;
	@Column(columnDefinition = "DECIMAL(4,1)")
	private double percentage;

	public Language() {
		super();
	}

	public LanguageKey getKey() {
		return key;
	}

	public void setKey(LanguageKey key) {
		this.key = key;
	}

	public boolean isOfficial() {
		return official;
	}

	public void setOfficial(boolean official) {
		this.official = official;
	}

	public double getPercentage() {
		return percentage;
	}

	public void setPercentage(double percentage) {
		this.percentage = percentage;
	}

}
