package org.example.world;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Transient;

import org.example.websecurity.XssSanitizerImpl;

/**
 * <pre>
 * CREATE TABLE ORGANIZATION (
 *	CODE VARCHAR(7) NOT NULL,
 *	NAME VARCHAR(50) NOT NULL,
 *	YEAR_FOUNDED INTEGER,
 *	CONSTRAINT PK_ORGANIZATION PRIMARY KEY (CODE)
 * );
 * </pre>
 *
 * @author Jonathan Earl
 *
 */
@Entity
public class Organization 
	implements Serializable
{

	private static final long serialVersionUID = 1L;
	
	@Id
	@Column(columnDefinition="Char(7)")
	private String code;
	@Column(columnDefinition="Varchar(50)")
	private String name;
	@Column(name="YEAR_FOUNDED")
	private int yearFounded;
	
	@Transient
	private XssSanitizerImpl sanitizer;

	public Organization() {
		 // my default Constructor
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getYearFounded() {
		return yearFounded;
	}

	public void setYearFounded(int yearFounded) {
		this.yearFounded = yearFounded;
	}
}
