package org.example.world.utility;

import java.io.Serializable;
import java.util.Objects;

import javax.persistence.Embeddable;

@Embeddable
public class LanguageKey implements Serializable 
{
	private static final long serialVersionUID = 1L;

	private String code;
	private String name;

	public LanguageKey() {
		super();
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Override
	public int hashCode() {
		return Objects.hash(code, name);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		LanguageKey other = (LanguageKey) obj;
		return Objects.equals(code, other.code) && Objects.equals(name, other.name);
	}

}
