package org.example.worlddao.utility;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotNull;

import org.junit.jupiter.api.Test;

public class TestNonDeleteableEntityException
{
    @Test
    public void testDefaultConstructor() {

        NonDeleteableEntityException result = new NonDeleteableEntityException();

        assertNotNull(result);
        assertEquals(null, result.getCause());
        assertEquals(
                "org.example.worlddao.utility.NonDeleteableEntityException: " + 
                "Record is not deleteable", result.toString());
        assertEquals(
                "Record is not deleteable", result.getMessage());
        assertEquals(
                "Record is not deleteable", result.getLocalizedMessage());
    }

    @Test
    public void testStringConstructor() {
        
        String message = "Dummy Message";

        NonDeleteableEntityException result = 
                new NonDeleteableEntityException(message);

        assertNotNull(result);
        assertEquals(null, result.getCause());
        assertEquals(
           "org.example.worlddao.utility.NonDeleteableEntityException: " + 
           "Dummy Message", result.toString());
        assertEquals("Dummy Message", result.getMessage());
        assertEquals("Dummy Message", result.getLocalizedMessage());
    }

    @Test
    public void testThrowableConstructor() {
        
        Throwable cause = new Throwable();

        NonDeleteableEntityException result = 
                new NonDeleteableEntityException(cause);

        assertNotNull(result);
        assertEquals(
           "org.example.worlddao.utility.NonDeleteableEntityException: " + 
           "java.lang.Throwable", result.toString());
        assertEquals("java.lang.Throwable", result.getMessage());
        assertEquals("java.lang.Throwable", result.getLocalizedMessage());
    }

    @Test
    public void testStringThrowableConstructor() {
        
        String message = "Dummy Message";
        Throwable cause = new Throwable();

        NonDeleteableEntityException result = 
                new NonDeleteableEntityException(message, cause);

        assertNotNull(result);
        assertEquals(
           "org.example.worlddao.utility.NonDeleteableEntityException: " + 
           "Dummy Message", result.toString());
        assertEquals("Dummy Message", result.getMessage());
        assertEquals("Dummy Message", result.getLocalizedMessage());
    }
}
